import { Observable } from 'rxjs';
export declare class SplashService {
    /** Used to interact with the splash component
     *  The splash component will subscribe to this and any components
     *  that wish to bring the splash visible can use this to communicate
     *  with the splash component.
     */
    private _splashVisibility;
    splashVisibility: Observable<boolean>;
    constructor();
    /**
     * Shows the splash screen
     */
    showSplash(): void;
    /**
     * Hides the splash screen
     */
    hideSplash(): void;
}
